=== modified file 'tools/update-accounts.c'
--- tools/update-accounts.c	2013-03-18 14:53:31 +0000
+++ tools/update-accounts.c	2013-03-18 15:09:13 +0000
@@ -34,17 +34,16 @@
     for (iter = service_list; iter != NULL; iter = g_list_next (iter))
     {
         AgService *service = iter->data;
-        GValue v_enabled = G_VALUE_INIT;
+        AgSettingSource from;
 
         ag_account_select_service (account, service);
 
         /* To determine whether the service is new, we retrieve the "enabled"
          * flag as a setting: if it comes from the account, then the service
          * has been previously used on this account; otherwise, it's a new
-         * service and we should enabled it. */
-        g_value_init (&v_enabled, G_TYPE_BOOLEAN);
-        if (ag_account_get_value (account, "enabled", &v_enabled) !=
-            AG_SETTING_SOURCE_ACCOUNT)
+         * service and we should enable it. */
+        ag_account_get_variant (account, "enabled", &from);
+        if (from != AG_SETTING_SOURCE_ACCOUNT)
         {
             ag_account_set_enabled (account, TRUE);
             account_changed = TRUE;

